Issue 99386 - Remove MPBGO
Summary: Remove MPBGO
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: DEV300m40
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: clippka
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-18 16:02 UTC by Armin Le Grand
Modified: 2010-04-16 12:50 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2009-02-18 16:02:09 UTC
AW: The MasterPageBackgroundObject (short: MPBGO) makes problems all the time,
countless bugs were fixed with it. With primitives, it's no more needed and can
be removed completely.
Comment 1 Armin Le Grand 2009-05-06 16:27:27 UTC
AW: Todo: (1) Notes in SW, (2) check XOR selections when HighContrast
Comment 2 Armin Le Grand 2009-05-07 17:20:37 UTC
AW: Things to look for: pBackgroundObj, GetBackgroundObj, SetBackgroundObj,
mnBackgroundObjectsLayerID, ImportPageBackgroundObject,
IsBackgroundObjectsVisible, SdBackgroundObjUndoAction, mbHasBackgroundObject,
IsMasterPageBackgroundObject.
Comment 3 Armin Le Grand 2009-09-07 11:01:48 UTC
AW: Moving to 3.3
Comment 4 Armin Le Grand 2010-02-04 12:35:10 UTC
AW: Started to investigate (svx and sd), started to do fundamental changes.
Looks good so far, it's really time now to clean this up...
Comment 5 Armin Le Grand 2010-02-05 15:16:53 UTC
AW: Done a lot of checks (UI, import, export, API, etc) and looks good. commited
to hg, not pushed yet.
Comment 6 Armin Le Grand 2010-02-09 11:02:02 UTC
AW: Pushed, resynching...
Comment 7 Armin Le Grand 2010-02-11 13:15:05 UTC
AW: CL found a problem in SD that the 0'th object of MaterPages was not exported
since it was handled exceptional due to MPBGO existance. Adding change...
Comment 8 Armin Le Grand 2010-02-12 11:02:14 UTC
AW->CL: Please review. The only change added since Your review was Your own
change and the removal/cleanup of the define-based implementation.
Comment 9 wolframgarten 2010-02-15 09:56:31 UTC
Set to fixed.
Comment 10 clippka 2010-02-18 12:29:14 UTC
I verify that the cursed master page background object is gone for good. It will
be remembered but surely not missed.
Comment 11 clippka 2010-04-16 12:50:55 UTC
verified in dev300m76, closing